org.apache.ignite.cache.query

## Interface ContinuousQueryWithTransformer.EventListener<T>

Type Parameters:
  `T` - type of data produced by transformer `ContinuousQueryWithTransformer.getRemoteTransformerFactory()`.

Enclosing class:
  ContinuousQueryWithTransformer<K,V,T>

    public static interface ContinuousQueryWithTransformer.EventListener<T>

Interface for local listener of `ContinuousQueryWithTransformer` to implement. Invoked if an cache entry is updated, created or if a batch call is made, after the entries are updated and transformed.

See Also:
  `ContinuousQueryWithTransformer`, `ContinuousQueryWithTransformer.setLocalListener(EventListener)`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onUpdated(Iterable<? extends T> events)` Called after one or more entries have been updated.

### Method Detail

#### onUpdated

    void onUpdated(Iterable<? extends T> events)

Called after one or more entries have been updated.

Parameters:
  `events` - The entries just updated that transformed with remote transformer of `ContinuousQueryWithTransformer`.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018